h06863
s 00011/00003/00182
d D 1.24 83/03/03 23:38:39 mjb 24 23
c fixed for existing data for graph -- graph etc
e
s 00000/00000/00185
d D 1.23 83/03/03 22:25:30 mjb 23 22
c 
e
s 00001/00001/00184
d D 1.22 83/03/02 23:01:39 mjb 22 21
c 
e
s 00006/00003/00179
d D 1.21 83/03/02 17:17:35 mjb 21 20
c 
e
s 00004/00000/00178
d D 1.20 83/03/01 22:17:57 mjb 20 19
c 
e
s 00000/00000/00178
d D 1.19 83/03/01 13:04:18 mjb 19 18
c 
e
s 00080/00068/00098
d D 1.18 83/02/28 12:07:21 mjb 18 17
c made changes for new axes edit common block
e
s 00001/00005/00165
d D 1.17 83/02/18 18:10:34 mjb 17 16
c fixed bug with interaction between text charts and multi charts
e
s 00000/00005/00170
d D 1.16 83/02/17 12:27:05 mjb 16 15
c fixed chkdef problem on anotation
e
s 00001/00001/00174
d D 1.15 83/02/15 17:21:52 mjb 15 14
c 
e
s 00013/00008/00162
d D 1.14 83/02/14 23:06:38 mjb 14 13
c 
e
s 00003/00002/00167
d D 1.13 83/02/14 18:43:14 mjb 13 12
c 
e
s 00000/00000/00169
d D 1.12 83/02/14 14:07:39 mjb 12 11
c added sflag to tell when absolutely necessary to save current graph
e
s 00002/00001/00167
d D 1.11 83/02/14 13:08:59 mjb 11 10
c changed default bars types to 0,2,3,4,5
e
s 00001/00000/00167
d D 1.10 83/02/08 20:19:46 mjb 10 9
c 
e
s 00003/00002/00164
d D 1.9 83/02/08 16:18:51 mjb 9 8
c 
e
s 00004/00003/00162
d D 1.8 83/02/07 12:16:52 mjb 8 7
c fixed bug with bctype not set correctly
e
s 00001/00001/00164
d D 1.7 83/02/04 12:46:19 mjb 7 6
c fixed all routines to clear anotation buffer when necessary
e
s 00002/00000/00163
d D 1.6 83/02/04 12:19:55 mjb 6 5
c fixed to initialize anotation bufer
e
s 00002/00000/00161
d D 1.5 83/01/31 19:14:09 mjb 5 4
c made changes for checking of defined charts
e
s 00005/00000/00156
d D 1.4 83/01/27 18:02:12 mjb 4 3
c fixed various bugs and made interface changes
e
s 00009/00003/00147
d D 1.3 83/01/27 13:49:40 mjb 3 2
c took care of interface changes
e
s 00090/00099/00060
d D 1.2 83/01/25 15:31:55 mjb 2 1
c modified for new interface
e
s 00159/00000/00000
d D 1.1 83/01/20 11:11:19 tes 1 0
c date and time created 83/01/20 11:11:19 by tes
e
u
tes
mjb
U
t
T
I 1
D 8
subroutine ingmem (type)
E 8
I 8
D 24
subroutine ingmem
E 24
I 24
subroutine ingmem (flag)
E 24
E 8
########################################################################
#                                                                      #
#          THIS MATERIAL IS CONFIDENTIAL AND IS FURNISHED UNDER        #
#          A WRITTEN LICENSE AGREEMENT.  IT MAY NOT BE USED,           #
#          COPIED OR DISCLOSED TO OTHERS EXCEPT IN ACCORDANCE          #
#          WITH THE TERMS OF THAT AGREEMENT.                           #
#                                                                      #
#          COPYRIGHT (C) 1982 GRAPHIC SOFTWARE SYSTEMS INC.            #
#          ALL RIGHTS RESERVED.                                        #
#                                                                      #
#     Function: initialize graph common via given graph type           #
#                                                                      #
#     Input Parameters:                                                #
D 9
#            type - flag to which type to graph to initialize too      #
E 9
I 9
D 24
#            none                                                      #
E 24
I 24
#            flag - NO = do not initialize data                        #
E 24
E 9
#                                                                      #
#     Output Parameters:                                               #
#            None                                                      #
#                                                                      #
#     Routines Called:                                                 #
#            None                                                      #
#                                                                      #
########################################################################
I 24
integer flag

E 24
D 2
integer i, j, type
E 2
I 2
D 8
integer i, type
E 8
I 8
D 9
integer i
E 9
I 9
integer i, type
E 9
E 8
E 2

include(`gphcom')

I 2
#
E 2
#    graph chart common block
#
D 2
#data bgtitl / 41*NUL / #  (byte array 41) current graph title
#data bgsitl / 41*NUL / #  (byte array 41) current graph subtitle 
#data bghtit / 41*NUL / #  (byte array 41) current horz axis label 
#data bgvtit / 41*NUL / #  (byte array 41) current vert axis label 
#data bglgfg / BIGN,NUL /#  (byte array 2)  current graph legend flag
#data bgfrfg / BIGN,NUL /#  (byte array 2)  current graph frame flag 
#data bgblin / 5*NUL /   #  (byte array 5)   current graph baseline
#data bgleng / 110*NUL / # (byte array 110) current curve legend array
#data bgcvtp / 5*1 /    #  (byte array 5)  current curve type array
#data bglnst / 5*1 /    #  (byte array 5)  current curve line style array
#data bgsymb / 5*0 /    #  (byte array 5)  current curve symbol array
#data bglnwd / 5*1 /    #  (byte array 5)  current curve line width array
#data bgflpt / 5*0 /    #  (byte array 5)  current curve fill pattern array
#data bgcvcl / 5*1 /    #  (byte array 5)  current curve color array
#
#data bgtclr / 5*1 /    #  (byte array 5)  current graph text colors
#data bgtfnt / 5*1 /    #  (byte array 5)  current graph text fonts
#data bgtsiz / 5*2 /    #  (byte array 5)  current graph text sizes
#data bgstfg / BIGN,NUL/#  (byte array 2)  current graph stack flag
#data bgbrfg / BIGY,NUL/#  (byte array 2)  current graph border flag
#data bgbrcl / 1 /      #  (byte)          current graph border color
#data bgbrwd / NUL /    #  (byte)          current graph border width
#data bgclus / -1 /     #  (byte)          current graph cluster factor
#data bgbard / BIGV,NUL / # (byte array 2) current bar direction
#data bgbarw / 5*NUL/   #  (byte array 5)  current graph bar width
#  (byte array 10) current curve pts labeled flag array
#data bgptfl / BIGN,NUL,BIGN,NUL,BIGN,NUL,BIGN,NUL,BIGN,NUL/
#  (byte array 10) current curve regression flag array
#data bgrgfl / BIGN,NUL,BIGN,NUL,BIGN,NUL,BIGN,NUL,BIGN,NUL/
#
#data bghmin / 5*NUL /  #  (byte array 5)   current horz axis min value
#data bgvmin / 5*NUL /  #  (byte array 5)   current vert axis min value
#data bghmax / 5*NUL /  #  (byte array 5)   current horz axis max value
#data bgvmax / 5*NUL /  #  (byte array 5)   current vert axis max value
#data bghgfg / BIGN,NUL /# (byte array 2)  current horz axis grid flag 
#data bgvgfg / BIGN,NUL /# (byte array 2)  current vert axis grid flag 
#data bgghcl / 1 /       # (byte)          current horz axis grid color
#data bggvcl / 1 /       # (byte)          current vert axis grid color
#data bghrel / BIGN,NUL /# (byte array 2)  current horz axis real flag
#data bgvrel / BIGY,NUL /# (byte array 2)  current vert axis real flag
#data bgtics / BIGY,NUL /# (byte array 2)  current major tics flag
#data bgmtic / BIGN,NUL /# (byte array 2)  current minor tics flag      
#data bghatp / 1 /      #  (byte)           current horz axis type 
#data bgvatp / 1 /      #  (byte)           current vert axis type
#data bghsrt / 5*NUL /  #  (byte array 5)   current horz axis start period
#data bgvsrt / 5*NUL /  #  (byte array 5)   current vert axis start period
#data bghpln / 5*NUL /  #  (byte array 5)   current horz axis period length
#data bgvpln / 5*NUL /  #  (byte array 5)   current vert axis period length 
#data bghnpr / 5*NUL /  #  (byte array 5)   current horz axis no. of periods
#data bgvnpr / 5*NUL /  #  (byte array 5)   current vert axis no. of periods
#
#data bglabl / 300*NUL / # (byte array 300) current graph label array
#data bgdta1 / 375*NUL /#  (byte array 375) current data for curve 1
#data bgdta2 / 375*NUL /#  (byte array 375) current data for curve 2
#data bgdta3 / 375*NUL /#  (byte array 375) current data for curve 3
#data bgdta4 / 375*NUL /#  (byte array 375) current data for curve 4
#data bgdta5 / 375*NUL /#  (byte array 375) current data for curve 5
#data bgddef / 5*0 /    #  (byte array 5)  current number of data points defined
E 2
I 2
D 18
#  bgtitl  (byte array 41)           current graph title
#  bgsitl  (byte array 41)           current graph subtitle 
#  bghtit  (byte array 41)           current horz axis label 
#  bgvtit  (byte array 41)           current vert axis label 
#  bglgfg  (byte array 2)   /BIGN/   current graph legend flag
#  bgleng  (byte array 110)          current curve legend array
#  bgcvtp  (byte array 5)   / 1 /    current curve type array
#  bgcvcl  (byte array 5)   / 1 /    current curve color array
#  bgflpt  (byte array 5)   / 0 /    current curve fill pattern array
#  bglnst  (byte array 5)   / 1 /    current curve line style array
#  bgsymb  (byte array 5)   / 0 /    current curve symbol array
#  bglnwd  (byte array 5)   / 1 /    current curve line width
E 18
I 18
#  zlegxy  (real array 2)  /0.0,0.0/ current legend x,y position
E 18
E 2

D 2
#data multfg  / 1 /      #   default multi graph is one
#data mfrmat  / 6 /      #   default format is one graph format 6
#data mfname  / 56*NUL / #   multi filename array
E 2
I 2
D 18
#  bgtclr  (byte array 5)   / 1 /    current graph text colors
#  bgtfnt  (byte array 5)   / 1 /    current graph text fonts
#  bgtsiz  (byte array 5)   / 2 /    current graph text sizes
#  bgbrfg  (byte array 2)   /BIGY/   current graph border flag
#  bgfrfg  (byte array 2)   /BIGN/   current graph frame flag 
#  bgbrcl  (byte array 2)   / 1 /    current graph border/frame color
#  bgbrwd  (byte array 2)   / 1 /    current graph border/frame width
#  bgblfg  (byte array 2)   /BIGN/   current graph baseline flag
E 18
I 18
#  bgtitl  (byte array 41) /NUL/     current graph title
#  bgsitl  (byte array 41) /NUL/     current graph subtitle 
#  bgitit  (byte array 41) /NUL/     current independent axis label 
#  bgdtit  (byte array 41) /NUL/     current dependent axis label 
#  bgaxis  (byte array 2)  /BIGN/    current independent axis type
#  bglgfg  (byte array 2)  /BIGN/    current graph legend flag
#  bgleng  (byte array 110)/NUL/     current curve legend array
#  bgcvtp  (byte array 5)            current curve type array
#  bgcvcl  (byte array 5)  / 1 /     current curve color array
#  bgflpt  (byte array 5)  /0,2,.../ current curve fill pattern array
#  bglnst  (byte array 5)  /1,2,.../ current curve line style array
#  bgsymb  (byte array 5)  / 0 /     current curve symbol array
#  bglnwd  (byte array 5)  / 1 /     current curve line width

#  bgtclr  (byte array 5)  / 1 /     current graph text colors
#  bgtfnt  (byte array 5)  / 1 /     current graph text fonts
#  bgtsiz  (byte array 5)  / 2 /     current graph text sizes
#  bgbrfg  (byte array 2)  /BIGN/    current graph border flag
#  bgfrfg  (byte array 2)  /BIGN/    current graph frame flag 
#  bgbrcl  (byte array 2)  / 1 /     current graph border/frame color
#  bgbrwd  (byte array 2)  / 1 /     current graph border/frame width
#  bgblfg  (byte array 2)  /BIGN/    current graph baseline flag
E 18
#  bgblin  (byte array 5)            current graph baseline
D 18
#  bgclus  (byte)           / -1 /   current cluster factor      
#  bgbard  (byte array 2)   /BIGV/   current bar direction
E 18
I 18
#  bgclus  (byte)          / -1 /    current cluster factor      
#  bgbard  (byte array 2)  /BIGV/    current bar direction
E 18
#  bgbarw  (byte array 5)            current graph bar width
D 18
#  bgstfg  (byte array 2)   /BIGN/   current stacked flag array
#  bgptfl  (byte array 10)  /BIGN/   current curve pts labeled flag array
#  bgrgfl  (byte array 10)  /BIGN/   current curve regression flag array
E 18
I 18
#  bgstfg  (byte array 2)  /BIGN/    current stacked flag array
#  bgptfl  (byte array 10) /BIGN/    current curve pts labeled flag array
#  bgrgfl  (byte array 10) /BIGN/    current curve regression flag array
E 18
E 2

D 2
do i = 1, 164 {
E 2
I 2
D 18
#  bghmin  (byte array 5)            current horz axis min value
#  bgvmin  (byte array 5)            current vert axis min value
#  bghmax  (byte array 5)            current horz axis max value
#  bgvmax  (byte array 5)            current vert axis max value
#  bghgfg  (byte array 2)   /BIGN/   current horz axis grid flag 
#  bgvgfg  (byte array 2)   /BIGN/   current vert axis grid flag 
#  bgghcl  (byte)           / 1 /    current horz axis grid color
#  bggvcl  (byte)           / 1 /    current vert axis grid color
#  bghrel  (byte array 2)   /BIGY/   current horz axis real flag
#  bgvrel  (byte array 2)   /BIGY/   current horz axis real flag
#  bgtics  (byte array 4)   /BIGY/   current tic marks flag
#  bgmtic  (byte array 4)   /BIGN/   current minor tic marks flag
#  bghatp  (byte)           / 1 /    current horz axis type
#  bgvatp  (byte)           / 1 /    current vert axis type
#  bghsrt  (byte array 5)            current horz axis start period
#  bgvsrt  (byte array 5)            current vert axis start period
#  bghpln  (byte array 5)            current horz axis period length
#  bgvpln  (byte array 5)            current vert axis period length
#  bghnpr  (byte array 5)            current horz axis no. of periods
#  bgvnpr  (byte array 5)            current vert axis no. of periods
E 18
I 18
#  bgnatp  (byte)          / 1 /     current numeric axis label type
#  bgpatp  (byte)          / 1 /     current periodic axis label type
#  bgdatp  (byte)          / 1 /     current dependent axis type
#  bgnstr  (byte array 5)            current numeric axis label start
#  bgpstr  (byte array 5)            current period axis period start
#  bgdstr  (byte array 5)            current dependent axis label start 
#  bgnend  (byte array 5)            current numeric axis label end
#  bgpnum  (byte array 5)            current period axis number of periods
#  bgdend  (byte array 5)            current dependent axis label end
#  bgninc  (byte array 5)            current numeric axis label increment
#  bgdinc  (byte array 5)            current dependent axis label increment
#  bgntic  (byte)           / 1 /    current numeric axis number of ticks
D 21
#  bgptic  (byte)           / 1 /    current period axis number of ticks
E 21
I 21
#  bgptic  (byte array 2)   /BIGY/   current period axis ticks flag
E 21
#  bgdtic  (byte)           / 1 /    current dependent axis number of ticks
#  bgnain  (byte array 2)   /BIGY/   current numeric axis indent flag
#  bgpain  (byte array 2)   /BIGY/   current periodic axis indent flag
#  bgigfg  (byte array 2)   /BIGN/   current independent axis grid flag 
#  bgigst  (byte)           / 1 /    current independent axis grid style
#  bgigcl  (byte)           / 1 /    current independent axis grid color
#  bgdgfg  (byte array 2)   /BIGN/   current dependent axis grid flag 
#  bgdgst  (byte)           / 1 /    current dependent axis grid style
#  bgdgcl  (byte)           / 1 /    current dependent axis grid color
#  bgadfg  (byte array 2)   /BIGN/   current axis data curve flag
#  bgadcv  (byte)           / 1 /    current axis data curve number
E 18

#  bglabl  (byte array 300)          current graph label array
#  bgdta1  (byte array 375)          current data for curve 1
#  bgdta2  (byte array 375)          current data for curve 2
#  bgdta3  (byte array 375)          current data for curve 3
#  bgdta4  (byte array 375)          current data for curve 4
#  bgdta5  (byte array 375)          current data for curve 5
#  bgddef  (byte array 5)            current number of data points defined

D 18
#  zlegxy  (real array 2)            current legend x,y position
E 18
I 18
# multfg  (byte)              current multi graph flag (0 == NO, 1 == YES)
# mfrmat  (byte)              current multi graph format (1-6, 1 == Default)
# mfname  (byte array 56)     current multi graph file names (14 chars/name)
E 18

D 18
#  multfg  (byte)           / 1 /    default multi graph is one
#  mfrmat  (byte)           / 6 /    default format is one graph format 6
#  mfname  (byte array 56)           multi filename array
E 18
I 18
zlegxy(1) = 0.0
zlegxy(2) = 0.0
E 18

D 15
do i = 1, 2616 {
E 15
I 15
D 18
do i = 1, 2618 {
E 18
I 18
D 21
do i = 1, 2609 {
E 21
I 21
D 24
do i = 1, 2610 {
E 24
I 24
do i = 1, 730 {
E 24
E 21
E 18
E 15
E 2
   bgtitl(i) = NUL
I 24
   }

if (flag != NO) {             # do not reinitialize data if using existing data
   do i = 1, 1875 {
      bgdta1(i) = NUL
      }
E 24
   }
D 2
bglgfg(1) = BIGN
bglgfg(2) = NUL
bgfrfg(1) = BIGN
bgfrfg(2) = NUL
do i = 1, 115 {
   bgblin(i) = NUL
   }
do i = 1, 40 {
   bglnst(i) = 1
   }
E 2
I 2

I 14
D 18
bghrel(1) = BIGN
bgvrel(1) = BIGY
bgmtic(1) = BIGN
bgmtic(3) = BIGN
bgtics(1) = BIGY  
bgtics(3) = BIGY
E 18
I 18
bgntic = 1
D 21
bgptic = 1
E 21
I 21
bgptic(1) = BIGY
E 21
bgdtic = 1
E 18

E 14
I 9
type = bctype
E 9
I 8
D 14
if (bctype > TEXT) bctype = BAR
E 14
I 14

if (bctype > TEXT) {
   bctype = BAR
D 18
   bgtics(1) = BIGN               # Default tics no on bar charts
E 18
I 18
   bgntic = 0                   # Default number of tics on bars is 0
D 22
   bgptic = 0
E 22
I 22
   bgptic(1) = BIGN
E 22
E 18
D 17
   bgtics(3) = BIGN
E 17
   }
I 18

E 18
E 14
E 8
E 2
do i = 1, 5 {
D 3
   bgcvtp(i) = type
E 3
I 3
   bgcvtp(i) = bctype
E 3
I 2
   bgcvcl(i) = 1
I 10
D 11
   bgflpt(i) = i-1
E 11
I 11
   bgflpt(i) = i
E 11
E 10
D 8
   bglnst(i) = 1
E 8
I 8
   bglnst(i) = i
E 8
   bglnwd(i) = 1
   bgtclr(i) = 1
   bgtfnt(i) = 1
E 2
   bgtsiz(i) = 2
D 2
   bgsymb(i) = 0
   bgflpt(i) = 0
   bgddef(i) = 0
   bgbarw(i) = NUL
E 2
   }
I 21
bgtsiz(1) = 4                    # Default title size
bgtsiz(2) = 3                    # Default subtitle size

E 21
I 11
bgflpt(1) = 0
E 11
D 2
bgstfg(1) = BIGN
bgstfg(2) = NUL
E 2
I 2

I 18
bgaxis(1) = BIGN
E 18
bglgfg(1) = BIGN
E 2
D 18
bgbrfg(1) = BIGY
E 18
I 18
bgbrfg(1) = BIGN
E 18
D 2
bgbrfg(2) = NUL
bgbrcl = 1
bgbrwd = 1
bgclus = -1         # Initialize cluster factor to -1 to flag for default
E 2
I 2
bgfrfg(1) = BIGN
bgblfg(1) = BIGN
E 2
bgbard(1) = BIGV
D 2
bgbard(2) = NUL
j = 1
do i = 1, 10 {
   bgptfl(j) = BIGN
   bgptfl(j+1) = NUL
   j = j + 2
   bghmin(i) = NUL
E 2
I 2
D 3
bgstfg(1) = BIGN
E 3

do i = 1, 4 {
   bgbrcl(i) = 1
E 2
   }
I 2

D 3
bgclus = -1         # Initialize cluster factor to -1 to flag for default
E 3
I 3
bgclus = -1            # Initialize cluster factor and stack flags depending
bgstfg(1) = BIGN       # on current graph type (STACK or CLUST)
if (type == STACK) {
   bgclus = 1
   bgstfg(1) = BIGY
   }
E 3

do i = 1, 20, 2 {
   bgptfl(i) = BIGN
   }

E 2
D 18
bghgfg(1) = BIGN
D 2
bghgfg(2) = NUL
E 2
bgvgfg(1) = BIGN
E 18
I 18
bgnatp = 1             # Default axis label types
bgpatp = 1
bgdatp = 1
E 18
D 2
bgvgfg(2) = NUL
E 2
I 2

E 2
D 13
bgghcl = 1
bggvcl = 1
E 13
I 13
D 18
do i = 1, 4 {
   bggrst(i) = 1
   }
E 18
I 18
bgnain(1) = BIGY       # Indent flags
bgpain(1) = BIGY
I 20
if (bctype == BAR) {
   bgnain(1) = BIGN
   bgpain(1) = BIGN
   }
E 20
E 18
E 13
I 2
D 14

E 2
bghrel(1) = BIGN
D 2
bghrel(2) = NUL
E 2
bgvrel(1) = BIGY
D 2
bgvrel(2) = NUL
E 2
bgtics(1) = BIGY
I 3
bgtics(3) = BIGY
E 3
D 2
bgtics(2) = NUL
E 2
bgmtic(1) = BIGN
I 3
bgmtic(3) = BIGN
E 14
E 3
D 2
bgmtic(2) = NUL
E 2
I 2

E 2
D 18
bghatp = 1
bgvatp = 1
E 18
I 18
bgigfg(1) = BIGN       # Grid flags , styles and colors
bgdgfg(1) = BIGN
bgigst = 1
bgdgst = 1
bgigcl = 1
bgdgcl = 1
E 18
D 2
do i = 1, 2210 {
   bghsrt(i) = NUL
   }
E 2
I 2

I 18
bgadfg(1) = BIGN       # Curve data available flag, curve number
bgadcv = 1

E 18
I 4
if (type == SCATTER) {
   do i = 1, 5
      bgsymb(i) = 3
   }
D 18

E 4
E 2
zlegxy(1) = 0.0
zlegxy(2) = 0.0
E 18

D 17
multfg = 1
mfrmat = 6
D 16
do i = 1, 56 {
   mfname(i) = NUL
   }

I 5
bpddef = NUL
E 16

E 17
I 6
D 7
anobuf(1) = NUL     # Clear the anotation buffer
E 7
I 7
call inamem      
E 7

E 6
E 5
D 17
   return
E 17
I 17
return
E 17
end
E 1
